> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/enterprises

> Create a new enterprise with company details, account type, and admin user. MSP callers creating a managed enterprise supply pool credit allocation fields (allocated_credits and optional term end).

## OpenAPI

````json PUT /v1/enterprises
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/enterprises": {
      "put": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1EnterprisesPutRequest"
              }
            }
          }
        },
        "responses": {
          "204": {
            "description": "No Content"
          }
        },
        "description": "Create a new enterprise with company details, account type, and admin user. MSP callers creating a managed enterprise supply pool credit allocation fields (allocated_credits and optional term end)."
      }
    }
  },
  "components": {
    "schemas": {
      "v1EnterprisesPutRequest": {
        "type": "object",
        "properties": {
          "accountType": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": " (required)"
          },
          "adminEmail": {
            "type": "string",
            "example": "example string"
          },
          "adminFirstName": {
            "type": "string",
            "example": "example string"
          },
          "adminLastName": {
            "type": "string",
            "example": "example string"
          },
          "adminTimeZone": {
            "type": "string",
            "example": "example string"
          },
          "cloudProvider": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "companyName": {
            "type": "string",
            "example": "example string",
            "description": " (required)"
          },
          "creditLimit": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "description": {
            "type": "string",
            "example": "example string"
          },
          "enterpriseContract": {
            "$ref": "#/components/schemas/commonBillingContract"
          },
          "logo": {
            "type": "string",
            "example": "example string"
          },
          "marketplaceId": {
            "type": "string",
            "example": "example string"
          },
          "smallLogo": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false,
        "required": [
          "accountType",
          "companyName",
          "enterpriseContract"
        ]
      },
      "commonBillingContract": {
        "type": "object",
        "properties": {
          "contractedCredits": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Number of credits agreed upon for the entirety of the current contract"
          },
          "expirationDate": {
            "$ref": "#/components/schemas/commonBillingTimePeriod"
          }
        },
        "additionalProperties": false
      },
      "commonBillingTimePeriod": {
        "type": "object",
        "properties": {
          "month": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "year": {
            "type": "integer",
            "format": "int32",
            "example": 123
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

